> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/inbox-liao-tian-xiao-xi-shi-jian.md).

# Inbox聊天消息事件

## Inbox聊天消息事件

有以下两个推送事件，如有需要订阅：

**chat\_mt\_message\_notify（聊天室下行消息接收）**&#x20;

**chat\_mo\_message\_notify（聊天室上行消息接收）**

### 参数说明

<table data-header-hidden><thead><tr><th></th><th></th><th width="173.48046875"></th><th></th></tr></thead><tbody><tr><td>字段</td><td>数据类型</td><td>是否必填</td><td>描述</td></tr><tr><td>wabaId</td><td>String</td><td>是</td><td>Waba Id</td></tr><tr><td>from</td><td>String</td><td>是</td><td>企业Sender</td></tr><tr><td>to</td><td>String</td><td>是</td><td>用户WhatsApp 号码</td></tr><tr><td>messageType</td><td>String</td><td>是</td><td>消息类型</td></tr><tr><td>context</td><td>Object</td><td>是</td><td>消息内容</td></tr><tr><td>wamid</td><td>String</td><td>否</td><td>Mete消息ID</td></tr><tr><td>conversationId</td><td>String</td><td>否</td><td>会话ID（InnoPaaS聊天室会话ID）</td></tr><tr><td>uid</td><td>String</td><td>否</td><td>用户自定义Id</td></tr></tbody></table>

### **chat\_mt\_message\_notify**&#x20;

**下行消息示例**

<pre class="language-json"><code class="lang-json">{
    "id": "b5e984b3-21b2-42a9-b08b-72e5a4096ac6",
<strong>    "type": "chat_mt_message_notify",
</strong>    "eventTime": "2023-02-22T12:00:00.000Z",
    "body": {
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "from": "wamid.BgNODYxN...",
        "to": "PHONE-NUMBER",
         "messageType": "text",
         "context": {
             "text":"this is test message"
           },
        "wamid": "wamid.BgNODYxN...",
        "conversationId": "12312312312312",
        "uid":"123123123123123213123"
    }
}
</code></pre>

### **chat\_mo\_message\_notify**&#x20;

**上行消息示例**

<pre class="language-json"><code class="lang-json">{
    "id": "b5e984b3-21b2-42a9-b08b-72e5a4096ac6",
<strong>    "type": "chat_mo_message_notify",
</strong>    "eventTime": "2023-02-22T12:00:00.000Z",
    "body": {
        "wabaId": "WHATSAPP_BUSINESS_ACCOUNT_ID",
        "from": "wamid.BgNODYxN...",
        "to": "PHONE-NUMBER",
         "messageType": "text",
         "context": {
             "text":"this is test message"
           },
        "wamid": "wamid.BgNODYxN...",
        "conversationId": "12312312312312",
        "uid":"123123123123123213123"
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/inbox-liao-tian-xiao-xi-shi-jian.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
